Subject: Re: bug#5050: 23.1; efiff: Displaying bytes instead of characters in messages

From: Stephen Berman <[email-masked]>
Date: Thu, 20 Aug 2020 22:36:59 +0200

On Thu, 20 Aug 2020 22:24:53 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Eli Zaretskii <[email-masked]> writes:
>>
>>> Wait, the problematic text appears in the Ediff error buffer, right?
>>> So we should perhaps simply decode it?  Does evaluating the below in
>>> that buffer fixes the problem?
>>>
>>>   M-: (decode-coding-region (point-min) (point-max) 'undecided) RET
>>
>> Yes.  So doing that (in the error buffer before displaying it) is
>> probably the right fix.
>
> Yup, I've found the right place to do the decoding, and I've pushed the
> fix to Emacs 28.
>
> Thanks everybody for testing and advice.

FTR, I confirm that this fix results in the correct display of the
German error message.  So I think the bug can be closed, unless we want
to wait for additional confirmation from the OP.

Steve Berman